deprecated

  use `Mocha.Hook` instead.

### Hierarchy

- IHook

## Index

### Properties

- ctx
- parent
- type

### Methods

- error

## Properties

### Optional ctx

ctx: IContext

- Defined in node_modules/@types/mocha/index.d.ts:2559

deprecated

  `.ctx` has type `Mocha.Context` in `Mocha.Runnable`.

### Optional parent

parent: ISuite

- Defined in node_modules/@types/mocha/index.d.ts:2561

deprecated

  `.parent` has type `Mocha.Suite` in `Mocha.Runnable`.

### type

type: "hook"

- Defined in node_modules/@types/mocha/index.d.ts:2562

## Methods

### error

- error(err: Error): void

- - Defined in node_modules/@types/mocha/index.d.ts:2564
  deprecated

    `.error()` has additional overloads in `Mocha.Hook`.

  #### Parameters

  - ##### err: Error

  #### Returns void

Generated using TypeDoc